Implementation of the 'td' markup element. A td HTML element is created and the class lto-col is added to allow CSS manipulations.

see

  IRenderable

see

  IStackeable

see

  Table

see

  Row

### Hierarchy

- Col

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Col(spec: ISpecification): Col

- - Defined in lib/renderable/table/col/index.ts:16

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Col

## Properties

### spec

spec: ISpecification

- Defined in lib/renderable/table/col/index.ts:16

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/table/col/index.ts:25

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc